Subject: bug#27272: 25.2; [patch] Fix positional args among keyword args in eldoc.

From: Thierry Volpiatto <[email-masked]>
Date: Fri, 30 Jun 2017 08:36:52 +0200

[email-masked] writes:

> Thierry Volpiatto <[email-masked]> writes:
>
>> [email-masked] writes:
>>
>>> Do you mean you have an updated patch that fixes this as well (which you
>>> seem to have forgotten to post)?
>>
>> It is here.
>
> I get a compile warning
>
> In elisp--highlight-function-argument:
> ../../emacs-master/lisp/progmodes/elisp-mode.el:1404:44:Warning: reference to
>     free variable ‘args-lst’
>
> and then at run-time eldoc is non-functional, it just prints
>
> eldoc error: (void-variable args-lst)

This patch is an adaptation of what I use in my .emacs.el, originally
the patch was correct, I have then deleted it (because the patch was
refused) and then created it again on your request, forgetting to merge
one line; Use let* instead of let.

Don't expect me to send another patch for such trivial change and more
generally to collaborate anymore on any emacs bugs.

--
Thierry
Gpg Key fingerprint = 6CEC 7081 AB33 E251 4AB8  5FC2 28D1 7F53 59F2 9997